scala.collection.mutable

# DoubleLinkedList

#### class DoubleLinkedList[A] extends AbstractSeq[A] with LinearSeq[A] with GenericTraversableTemplate[A, DoubleLinkedList] with DoubleLinkedListLike[A, DoubleLinkedList[A]] with Serializable

This class implements double linked lists where both the head (`elem`), the tail (`next`) and a reference to the previous node (`prev`) are mutable.

A

  the type of the elements contained in this double linked list.

Annotations
  @SerialVersionUID( uid = 8144992287952814767L )
Source
  DoubleLinkedList.scala
Version

  2.8

Since

  1

See also

  "Scala's Collection Library overview" section on `Double Linked Lists` for more information.

Linear Supertypes
Serializable, java.io.Serializable, DoubleLinkedListLike[A, DoubleLinkedList[A]], LinkedListLike[A, DoubleLinkedList[A]], LinearSeq[A], collection.LinearSeq[A], LinearSeqLike[A, LinearSeq[A]], AbstractSeq[A], Seq[A], SeqLike[A, DoubleLinkedList[A]], Cloneable[DoubleLinkedList[A]], scala.Cloneable, java.lang.Cloneable, Iterable[A], Traversable[A], Mutable, collection.AbstractSeq[A], collection.Seq[A], collection.SeqLike[A, DoubleLinkedList[A]], GenSeq[A], GenSeqLike[A, DoubleLinkedList[A]], PartialFunction[Int, A], (Int) ⇒ A, collection.AbstractIterable[A], collection.Iterable[A], IterableLike[A, DoubleLinkedList[A]], Equals, GenIterable[A], GenIterableLike[A, DoubleLinkedList[A]], AbstractTraversable[A], collection.Traversable[A], GenTraversable[A], GenericTraversableTemplate[A, DoubleLinkedList], TraversableLike[A, DoubleLinkedList[A]], GenTraversableLike[A, DoubleLinkedList[A]], Parallelizable[A, ParSeq[A]], TraversableOnce[A], GenTraversableOnce[A], FilterMonadic[A, DoubleLinkedList[A]], HasNewBuilder[A, scala.collection.mutable.DoubleLinkedList[A] @scala.annotation.unchecked.uncheckedVariance], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DoubleLinkedList
2. Serializable
3. Serializable
4. DoubleLinkedListLike
5. LinkedListLike
6. LinearSeq
7. LinearSeq
8. LinearSeqLike
9. AbstractSeq
10. Seq
11. SeqLike
12. Cloneable
13. Cloneable
14. Cloneable
15. Iterable
16. Traversable
17. Mutable
18. AbstractSeq
19. Seq
20. SeqLike
21. GenSeq
22. GenSeqLike
23. PartialFunction
24. Function1
25. AbstractIterable
26. Iterable
27. IterableLike
28. Equals
29. GenIterable
30. GenIterableLike
31. AbstractTraversable
32. Traversable
33. GenTraversable
34. GenericTraversableTemplate
35. TraversableLike
36. GenTraversableLike
37. Parallelizable
38. TraversableOnce
39. GenTraversableOnce
40. FilterMonadic
41. HasNewBuilder
42. AnyRef
43. Any

Implicitly

1. by traversable2ops
2. by MonadOps
3. by any2stringadd
4. by any2stringfmt
5. by any2ArrowAssoc
6. by any2Ensuring
7. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new DoubleLinkedList(elem: A, next: DoubleLinkedList[A])

   Creates a node for the double linked list.

   Creates a node for the double linked list.

   elem

     the element this node contains.

   next

     the next node in the double linked list.

2. #### new DoubleLinkedList()

### Type Members

1. #### type Self = DoubleLinkedList[A]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

2. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from DoubleLinkedList[A] to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ++[B](that: GenTraversableOnce[B]): DoubleLinkedList[B]

   [use case] Returns a new double linked list containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new double linked list containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the double linked list is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new double linked list which contains all elements of this double linked list followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: A, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

6. #### def ++:[B >: A, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. In the standard library configuration, `That` is always `DoubleLinkedList[B]` because an implicit of type `CanBuildFrom[DoubleLinkedList, B, DoubleLinkedList[B]]` is defined in object `DoubleLinkedList`.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`. This is usually the `canBuildFrom` value defined in object `DoubleLinkedList`.

   returns

     a new collection of type `That` which contains all elements of this double linked list followed by all elements of `that`.

   Definition Classes
     TraversableLike

7. #### def ++:[B](that: TraversableOnce[B]): DoubleLinkedList[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new double linked list which contains all elements of this double linked list followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: A, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

8. #### def +:(elem: A): DoubleLinkedList[A]

   [use case] A copy of the double linked list with an element prepended.

   [use case]

   A copy of the double linked list with an element prepended.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Also, the original double linked list is not modified, so you will want to capture the result.

   Example:

       scala> val x = LinkedList(1)
       x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val y = 2 +: x
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

       scala> println(x)
       LinkedList(1)

   elem

     the prepended element

   returns

     a new double linked list consisting of `elem` followed by all elements of this double linked list.

   Definition Classes
     SeqLike → GenSeqLike
   Full Signature

   #### def +:[B >: A, That](elem: B)(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

9. #### def ->[B](y: B): (DoubleLinkedList[A], B)

   Implicit information
     This member is added by an implicit conversion from DoubleLinkedList[A] to ArrowAssoc[DoubleLinkedList[A]] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

10. #### def /:[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this double linked list, going left to right.

    Applies a binary operator to a start value and all elements of this double linked list, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this double linked list, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this double linked list.

    Definition Classes
      TraversableOnce → GenTraversableOnce

11. #### def :+(elem: A): DoubleLinkedList[A]

    [use case] A copy of this double linked list with an element appended.

    [use case]

    A copy of this double linked list with an element appended.

    A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

    Example:

        scala> import scala.collection.mutable.LinkedList
        import scala.collection.mutable.LinkedList

        scala> val a = LinkedList(1)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

        scala> val b = a :+ 2
        b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> println(a)
        LinkedList(1)

    elem

      the appended element

    returns

      a new double linked list consisting of all elements of this double linked list followed by `elem`.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def :+[B >: A, That](elem: B)(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

12. #### def :\[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this double linked list and a start value, going right to left.

    Applies a binary operator to all elements of this double linked list and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this double linked list, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this double linked list.

    Definition Classes
      TraversableOnce → GenTraversableOnce

13. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

15. #### def addString(b: scala.StringBuilder): scala.StringBuilder

    Appends all elements of this double linked list to a string builder.

    Appends all elements of this double linked list to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this double linked list without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

16. #### def addString(b: scala.StringBuilder, sep: String): scala.StringBuilder

    Appends all elements of this double linked list to a string builder using a separator string.

    Appends all elements of this double linked list to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this double linked list, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

17. #### def addString(b: scala.StringBuilder, start: String, sep: String, end: String): scala.StringBuilder

    Appends all elements of this double linked list to a string builder using start, end, and separator strings.

    Appends all elements of this double linked list to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this double linked list are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

18. #### def aggregate[B](z: B)(seqop: (B, A) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

19. #### def andThen[C](k: (A) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

20. #### def append(that: DoubleLinkedList[A]): DoubleLinkedList[A]

    If `this` is empty then it does nothing and returns `that`.

    If `this` is empty then it does nothing and returns `that`. Otherwise, appends `that` to `this`. The append requires a full traversal of `this`.

    Examples:

        scala> val a = LinkedList(1, 2)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> val b = LinkedList(1, 2)
        b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> a.append(b)
        res0: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 1, 2)

        scala> println(a)
        LinkedList(1, 2, 1, 2)

        scala> val a = new LinkedList[Int]()
        a: scala.collection.mutable.LinkedList[Int] = LinkedList()

        scala> val b = LinkedList(1, 2)
        b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> val c = a.append(b)
        c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> println(a)
        LinkedList()

    returns

      the list after append (this is the list itself if nonempty, or list `that` if list this is empty. )

    Definition Classes
      DoubleLinkedListLike → LinkedListLike

21. #### def apply(n: Int): A

    Selects an element by its index in the double linked list.

    Selects an element by its index in the double linked list.

    Example:

        scala> val x = LinkedList(1, 2, 3, 4, 5)
        x: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4, 5)

        scala> x(3)
        res1: Int = 4

    returns

      the element of this double linked list at index `idx`, where `0` indicates the first element.

    Definition Classes
      DoubleLinkedListLike → LinkedListLike → SeqLike → GenSeqLike
    Exceptions thrown
      `IndexOutOfBoundsException`

      if `idx` does not satisfy `0 <= idx < length`.

22. #### def applyOrElse[A1 <: Int, B1 >: A](x: A1, default: (A1) ⇒ B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals compiler generates `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      PartialFunction
    Since

      2.10

23. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

24. #### def asParIterable: ParIterable[A]

    Implicit information
      This member is added by an implicit conversion from DoubleLinkedList[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

25. #### def asParSeq: ParSeq[A]

    Implicit information
      This member is added by an implicit conversion from DoubleLinkedList[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

26. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this double linked list should be compared

    returns

      `true`, if this double linked list can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

27. #### def clone(): DoubleLinkedList[A]

    Return a clone of this list.

    Return a clone of this list.

    returns

      a `LinkedList` with the same elements.

    Definition Classes
      DoubleLinkedList → LinkedListLike → Cloneable → AnyRef

28. #### def collect[B](pf: PartialFunction[A, B]): DoubleLinkedList[B]

    [use case] Builds a new collection by applying a partial function to all elements of this double linked list on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this double linked list on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the double linked list.

    returns

      a new double linked list resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[A, B])(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

29. #### def collectFirst[B](pf: PartialFunction[A, B]): Option[B]

    Finds the first element of the double linked list for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the double linked list for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

30. #### def combinations(n: Int): Iterator[DoubleLinkedList[A]]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this double linked list.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

31. #### def companion: GenericCompanion[DoubleLinkedList]

    The factory companion object that builds instances of class `DoubleLinkedList`.

    The factory companion object that builds instances of class `DoubleLinkedList`. (or its `Iterable` superclass where class `DoubleLinkedList` is not a `Seq`.)

    Definition Classes
      DoubleLinkedList → LinearSeq → LinearSeq → Seq → Iterable → Traversable → Seq → GenSeq → Iterable → GenIterable → Traversable → GenTraversable → GenericTraversableTemplate

32. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ A

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

33. #### def contains(elem: Any): Boolean

    Tests whether this double linked list contains a given value as an element.

    Tests whether this double linked list contains a given value as an element.

    elem

      the element to test.

    returns

      `true` if this double linked list has an element that is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

34. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this double linked list contains a given sequence as a slice.

    Tests whether this double linked list contains a given sequence as a slice.

    that

      the sequence to test

    returns

      `true` if this double linked list contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

35. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this double linked list to an array.

    [use case]

    Copies elements of this double linked list to an array. Fills the given array `xs` with at most `len` elements of this double linked list, starting at position `start`. Copying will stop once either the end of the current double linked list is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: A](xs: Array[B], start: Int, len: Int): Unit

36. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this double linked list to an array.

    [use case]

    Copies values of this double linked list to an array. Fills the given array `xs` with values of this double linked list. Copying will stop once either the end of the current double linked list is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: A](xs: Array[B]): Unit

37. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this double linked list to an array.

    [use case]

    Copies values of this double linked list to an array. Fills the given array `xs` with values of this double linked list, beginning at index `start`. Copying will stop once either the end of the current double linked list is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: A](xs: Array[B], start: Int): Unit

38. #### def copyToBuffer[B >: A](dest: Buffer[B]): Unit

    Copies all elements of this double linked list to a buffer.

    Copies all elements of this double linked list to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

39. #### final def corresponds[B](that: GenSeq[B])(p: (A, B) ⇒ Boolean): Boolean

    Tests whether every element of this double linked list relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this double linked list relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this double linked list and `y` of `that`, otherwise `false`.

    Definition Classes
      LinearSeqLike → SeqLike → GenSeqLike
    Annotations
      @tailrec()

40. #### def count(p: (A) ⇒ Boolean): Int

    Counts the number of elements in the double linked list which satisfy a predicate.

    Counts the number of elements in the double linked list which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

41. #### def diff(that: collection.Seq[A]): DoubleLinkedList[A]

    [use case] Computes the multiset difference between this double linked list and another sequence.

    [use case]

    Computes the multiset difference between this double linked list and another sequence.

    that

      the sequence of elements to remove

    returns

      a new double linked list which contains all elements of this double linked list except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def diff[B >: A](that: GenSeq[B]): DoubleLinkedList[A]

42. #### def distinct: DoubleLinkedList[A]

    Builds a new double linked list from this double linked list without any duplicate elements.

    Builds a new double linked list from this double linked list without any duplicate elements.

    returns

      A new double linked list which contains the first occurrence of every element of this double linked list.

    Definition Classes
      SeqLike → GenSeqLike

43. #### def drop(n: Int): DoubleLinkedList[A]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this double linked list.

    returns

      a double linked list consisting of all elements of this double linked list except the first `n` ones, or else the empty double linked list, if this double linked list has less than `n` elements.

    Definition Classes
      DoubleLinkedListLike → LinkedListLike → IterableLike → TraversableLike → GenTraversableLike

44. #### def dropRight(n: Int): DoubleLinkedList[A]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a double linked list consisting of all elements of this double linked list except the last `n` ones, or else the empty double linked list, if this double linked list has less than `n` elements.

    Definition Classes
      IterableLike

45. #### def dropWhile(p: (A) ⇒ Boolean): DoubleLinkedList[A]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    returns

      the longest suffix of this double linked list whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

46. #### var elem: A

    Definition Classes
      LinkedListLike

47. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this double linked list ends with the given sequence.

    Tests whether this double linked list ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this double linked list has `that` as a suffix, `false` otherwise.

    Definition Classes
      SeqLike → GenSeqLike

48. #### def ensuring(cond: (DoubleLinkedList[A]) ⇒ Boolean, msg: ⇒ Any): DoubleLinkedList[A]

    Implicit information
      This member is added by an implicit conversion from DoubleLinkedList[A] to Ensuring[DoubleLinkedList[A]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

49. #### def ensuring(cond: (DoubleLinkedList[A]) ⇒ Boolean): DoubleLinkedList[A]

    Implicit information
      This member is added by an implicit conversion from DoubleLinkedList[A] to Ensuring[DoubleLinkedList[A]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

50. #### def ensuring(cond: Boolean, msg: ⇒ Any): DoubleLinkedList[A]

    Implicit information
      This member is added by an implicit conversion from DoubleLinkedList[A] to Ensuring[DoubleLinkedList[A]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

51. #### def ensuring(cond: Boolean): DoubleLinkedList[A]

    Implicit information
      This member is added by an implicit conversion from DoubleLinkedList[A] to Ensuring[DoubleLinkedList[A]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

52. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

53. #### def equals(that: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    that

      The object to compare the sequence to

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      GenSeqLike → Equals → Any

54. #### def exists(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this double linked list.

    Tests whether a predicate holds for some of the elements of this double linked list.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this double linked list, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

55. #### def filter(p: (A) ⇒ Boolean): DoubleLinkedList[A]

    Selects all elements of this double linked list which satisfy a predicate.

    Selects all elements of this double linked list which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new double linked list consisting of all elements of this double linked list that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

56. #### def filterNot(p: (A) ⇒ Boolean): DoubleLinkedList[A]

    Selects all elements of this double linked list which do not satisfy a predicate.

    Selects all elements of this double linked list which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new double linked list consisting of all elements of this double linked list that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

57. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

58. #### def find(p: (A) ⇒ Boolean): Option[A]

    Finds the first element of the double linked list satisfying a predicate, if any.

    Finds the first element of the double linked list satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the double linked list that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

59. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): DoubleLinkedList[B]

    [use case] Builds a new collection by applying a function to all elements of this double linked list and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this double linked list and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of double linked list. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new double linked list resulting from applying the given collection-valued function `f` to each element of this double linked list and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (A) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

60. #### def flatten[B]: DoubleLinkedList[B]

    [use case] Converts this double linked list of traversable collections into a double linked list formed by the elements of these traversable collections.

    [use case]

    Converts this double linked list of traversable collections into a double linked list formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of double linked list. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new double linked list resulting from concatenating all element double linked lists.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): DoubleLinkedList[B]

61. #### def fold[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this double linked list using the specified associative binary operator.

    Folds the elements of this double linked list using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

62. #### def foldLeft[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this double linked list, going left to right.

    Applies a binary operator to a start value and all elements of this double linked list, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this double linked list, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this double linked list.

    Definition Classes
      TraversableOnce → GenTraversableOnce

63. #### def foldRight[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this double linked list and a start value, going right to left.

    Applies a binary operator to all elements of this double linked list and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this double linked list, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this double linked list.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

64. #### def forall(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this double linked list.

    Tests whether a predicate holds for all elements of this double linked list.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this double linked list, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

65. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this double linked list.

    [use case]

    Applies a function `f` to all elements of this double linked list.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      LinkedListLike → IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[B](f: (A) ⇒ B): Unit

66. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from DoubleLinkedList[A] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

67. #### def genericBuilder[B]: Builder[B, DoubleLinkedList[B]]

    The generic builder that builds instances of `DoubleLinkedList` at arbitrary element types.

    The generic builder that builds instances of `DoubleLinkedList` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

68. #### def get(n: Int): Option[A]

    Definition Classes
      DoubleLinkedListLike → LinkedListLike

69. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

70. #### def groupBy[K](f: (A) ⇒ K): immutable.Map[K, DoubleLinkedList[A]]

    Partitions this double linked list into a map of double linked lists according to some discriminator function.

    Partitions this double linked list into a map of double linked lists according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new double linked list.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to double linked lists such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a double linked list of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

71. #### def grouped(size: Int): Iterator[DoubleLinkedList[A]]

    Partitions elements in fixed size double linked lists.

    Partitions elements in fixed size double linked lists.

    size

      the number of elements per group

    returns

      An iterator producing double linked lists of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

72. #### def hasDefiniteSize: Boolean

    Tests whether this double linked list is known to have a finite size.

    Tests whether this double linked list is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

73. #### def hashCode(): Int

    Hashcodes for `DoubleLinkedList` produce a value from the hashcodes of all the elements of the double linked list.

    Hashcodes for `DoubleLinkedList` produce a value from the hashcodes of all the elements of the double linked list.

    returns

      the hash code value for this object.

    Definition Classes
      LinearSeqLike → GenSeqLike → AnyRef → Any

74. #### def head: A

    Selects the first element of this double linked list.

    Selects the first element of this double linked list.

    returns

      the first element of this double linked list.

    Definition Classes
      LinkedListLike → IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the double linked list is empty.

75. #### def headOption: Option[A]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this double linked list if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

76. #### def ifParSeq[R](isbody: (ParSeq[A]) ⇒ R): (TraversableOps[A])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from DoubleLinkedList[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

77. #### def indexOf(elem: A, from: Int): Int

    [use case] Finds index of first occurrence of some value in this double linked list after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this double linked list after or at some start index.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this double linked list that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: A](elem: B, from: Int): Int

78. #### def indexOf(elem: A): Int

    [use case] Finds index of first occurrence of some value in this double linked list.

    [use case]

    Finds index of first occurrence of some value in this double linked list.

    elem

      the element value to search for.

    returns

      the index of the first element of this double linked list that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: A](elem: B): Int

79. #### def indexOfSlice[B >: A](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this double linked list contains a given sequence as a slice.

    Finds first index after or at a start index where this double linked list contains a given sequence as a slice.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this double linked list starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

80. #### def indexOfSlice[B >: A](that: GenSeq[B]): Int

    Finds first index where this double linked list contains a given sequence as a slice.

    Finds first index where this double linked list contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the first index such that the elements of this double linked list starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

81. #### def indexWhere(p: (A) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this double linked list that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      SeqLike → GenSeqLike

82. #### def indexWhere(p: (A) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this double linked list that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

83. #### def indices: immutable.Range

    Produces the range of all indices of this sequence.

    Produces the range of all indices of this sequence.

    returns

      a `Range` value from `0` to one less than the length of this double linked list.

    Definition Classes
      SeqLike

84. #### def init: DoubleLinkedList[A]

    Selects all elements except the last.

    Selects all elements except the last.

    returns

      a double linked list consisting of all elements of this double linked list except the last one.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the double linked list is empty.

85. #### def inits: Iterator[DoubleLinkedList[A]]

    Iterates over the inits of this double linked list.

    Iterates over the inits of this double linked list. The first value will be this double linked list and the final one will be an empty double linked list, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this double linked list

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

86. #### def insert(that: DoubleLinkedList[A]): Unit

    Insert linked list `that` at current position of this linked list

    Insert linked list `that` at current position of this linked list

    Definition Classes
      DoubleLinkedListLike → LinkedListLike
    Note

      this linked list must not be empty

87. #### def intersect(that: collection.Seq[A]): DoubleLinkedList[A]

    [use case] Computes the multiset intersection between this double linked list and another sequence.

    [use case]

    Computes the multiset intersection between this double linked list and another sequence.

    that

      the sequence of elements to intersect with.

    returns

      a new double linked list which contains all elements of this double linked list which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def intersect[B >: A](that: GenSeq[B]): DoubleLinkedList[A]

88. #### def isDefinedAt(idx: Int): Boolean

    Tests whether this double linked list contains given index.

    Tests whether this double linked list contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this double linked list contains an element at position `idx`, `false` otherwise.

    Definition Classes
      GenSeqLike

89. #### def isEmpty: Boolean

    Tests whether this double linked list is empty.

    Tests whether this double linked list is empty.

    returns

      `true` if the double linked list contain no elements, `false` otherwise.

    Definition Classes
      LinkedListLike → SeqLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

90. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

91. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from DoubleLinkedList[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

92. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from DoubleLinkedList[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

93. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from DoubleLinkedList[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

94. #### final def isTraversableAgain: Boolean

    Tests whether this double linked list can be repeatedly traversed.

    Tests whether this double linked list can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

95. #### def iterator: Iterator[A]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Definition Classes
      LinkedListLike → IterableLike → GenIterableLike

96. #### def last: A

    Selects the last element.

    Selects the last element.

    returns

      The last element of this double linked list.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the double linked list is empty.

97. #### def lastIndexOf(elem: A, end: Int): Int

    [use case] Finds index of last occurrence of some value in this double linked list before or at a given end index.

    [use case]

    Finds index of last occurrence of some value in this double linked list before or at a given end index.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this double linked list that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: A](elem: B, end: Int): Int

98. #### def lastIndexOf(elem: A): Int

    [use case] Finds index of last occurrence of some value in this double linked list.

    [use case]

    Finds index of last occurrence of some value in this double linked list.

    elem

      the element value to search for.

    returns

      the index of the last element of this double linked list that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: A](elem: B): Int

99. #### def lastIndexOfSlice[B >: A](that: GenSeq[B], end: Int): Int

    Finds last index before or at a given end index where this double linked list contains a given sequence as a slice.

    Finds last index before or at a given end index where this double linked list contains a given sequence as a slice.

    that

      the sequence to test

    end

      the end index

    returns

      the last index `<= end` such that the elements of this double linked list starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

100. #### def lastIndexOfSlice[B >: A](that: GenSeq[B]): Int

     Finds last index where this double linked list contains a given sequence as a slice.

     Finds last index where this double linked list contains a given sequence as a slice.

     that

       the sequence to test

     returns

       the last index such that the elements of this double linked list starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

101. #### def lastIndexWhere(p: (A) ⇒ Boolean, end: Int): Int

     Finds index of last element satisfying some predicate before or at given end index.

     Finds index of last element satisfying some predicate before or at given end index.

     p

       the predicate used to test elements.

     returns

       the index `<= end` of the last element of this double linked list that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       SeqLike → GenSeqLike

102. #### def lastIndexWhere(p: (A) ⇒ Boolean): Int

     Finds index of last element satisfying some predicate.

     Finds index of last element satisfying some predicate.

     p

       the predicate used to test elements.

     returns

       the index of the last element of this double linked list that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

103. #### def lastOption: Option[A]

     Optionally selects the last element.

     Optionally selects the last element.

     returns

       the last element of this double linked list$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike → GenTraversableLike

104. #### def length: Int

     Determines the length of this double linked list by traversing and counting every node.

     Determines the length of this double linked list by traversing and counting every node.

     returns

       the number of elements in this double linked list.

     Definition Classes
       LinkedListLike → SeqLike → GenSeqLike

105. #### def lengthCompare(len: Int): Int

     Compares the length of this double linked list to a test value.

     Compares the length of this double linked list to a test value.

     len

       the test value that gets compared with the length.

     returns

       A value `x` where

           x <  0       if this.length <  len
           x == 0       if this.length == len
           x >  0       if this.length >  len

       The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

     Definition Classes
       SeqLike

106. #### def lift: (Int) ⇒ Option[A]

     Turns this partial function into an plain function returning an `Option` result.

     Turns this partial function into an plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

107. #### def map[B](f: (A) ⇒ B): DoubleLinkedList[B]

     [use case] Builds a new collection by applying a function to all elements of this double linked list.

     [use case]

     Builds a new collection by applying a function to all elements of this double linked list.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new double linked list resulting from applying the given function `f` to each element of this double linked list and collecting the results.

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

     #### def map[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

108. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this double linked list.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def max[B >: A](implicit cmp: Ordering[B]): A

109. #### def maxBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

     Definition Classes
       TraversableOnce → GenTraversableOnce

110. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this double linked list

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[B >: A](implicit cmp: Ordering[B]): A

111. #### def minBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

     Definition Classes
       TraversableOnce → GenTraversableOnce

112. #### def mkString: String

     Displays all elements of this double linked list in a string.

     Displays all elements of this double linked list in a string.

     returns

       a string representation of this double linked list. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this double linked list follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

113. #### def mkString(sep: String): String

     Displays all elements of this double linked list in a string using a separator string.

     Displays all elements of this double linked list in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this double linked list. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this double linked list are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

114. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this double linked list in a string using start, end, and separator strings.

     Displays all elements of this double linked list in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this double linked list. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this double linked list are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

115. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

116. #### def newBuilder: Builder[A, DoubleLinkedList[A]]

     The builder that builds instances of type `DoubleLinkedList`[A]

     The builder that builds instances of type `DoubleLinkedList`[A]

     Attributes
       protected[this]
     Definition Classes
       GenericTraversableTemplate → HasNewBuilder

117. #### var next: DoubleLinkedList[A]

     Definition Classes
       LinkedListLike

118. #### def nonEmpty: Boolean

     Tests whether the double linked list is not empty.

     Tests whether the double linked list is not empty.

     returns

       `true` if the double linked list contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

119. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

120. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

121. #### def orElse[A1 <: Int, B1 >: A](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

122. #### def padTo(len: Int, elem: A): DoubleLinkedList[A]

     [use case] A copy of this double linked list with an element value appended until a given target length is reached.

     [use case]

     A copy of this double linked list with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new double linked list consisting of all elements of this double linked list followed by the minimal number of occurrences of `elem` so that the resulting double linked list has a length of at least `len`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def padTo[B >: A, That](len: Int, elem: B)(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

123. #### def par: ParSeq[A]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

124. #### def parCombiner: Combiner[A, ParSeq[A]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       SeqLike → SeqLike → TraversableLike → Parallelizable

125. #### def partition(p: (A) ⇒ Boolean): (DoubleLinkedList[A], DoubleLinkedList[A])

     Partitions this double linked list in two double linked lists according to a predicate.

     Partitions this double linked list in two double linked lists according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of double linked lists: the first double linked list consists of all elements that satisfy the predicate `p` and the second double linked list consists of all elements that don't. The relative order of the elements in the resulting double linked lists is the same as in the original double linked list.

     Definition Classes
       TraversableLike → GenTraversableLike

126. #### def patch(from: Int, that: GenSeq[A], replaced: Int): DoubleLinkedList[A]

     [use case] Produces a new double linked list where a slice of elements in this double linked list is replaced by another sequence.

     [use case]

     Produces a new double linked list where a slice of elements in this double linked list is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original double linked list

     returns

       a new double linked list consisting of all elements of this double linked list except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def patch[B >: A, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

127. #### def permutations: Iterator[DoubleLinkedList[A]]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this double linked list.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

128. #### def prefixLength(p: (A) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this double linked list such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

129. #### var prev: DoubleLinkedList[A]

     A reference to the node in the linked list preceeding the current node.

     A reference to the node in the linked list preceeding the current node.

     Definition Classes
       DoubleLinkedListLike

130. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this double linked list of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the double linked list and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: A](implicit num: Numeric[B]): B

131. #### def reduce[A1 >: A](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this double linked list using the specified associative binary operator.

     Reduces the elements of this double linked list using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the double linked list is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this double linked list is empty.

132. #### def reduceLeft[B >: A](op: (B, A) ⇒ B): B

     Applies a binary operator to all elements of this double linked list, going left to right.

     Applies a binary operator to all elements of this double linked list, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this double linked list, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this double linked list.

     Definition Classes
       TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this double linked list is empty.

133. #### def reduceLeftOption[B >: A](op: (B, A) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this double linked list, going left to right.

     Optionally applies a binary operator to all elements of this double linked list, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this double linked list is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

134. #### def reduceOption[A1 >: A](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this double linked list, if any, using the specified associative binary operator.

     Reduces the elements of this double linked list, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

135. #### def reduceRight[B >: A](op: (A, B) ⇒ B): B

     Applies a binary operator to all elements of this double linked list, going right to left.

     Applies a binary operator to all elements of this double linked list, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this double linked list, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this double linked list.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this double linked list is empty.

136. #### def reduceRightOption[B >: A](op: (A, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this double linked list, going right to left.

     Optionally applies a binary operator to all elements of this double linked list, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this double linked list is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

137. #### def remove(): Unit

     Removes the current node from the double linked list.

     Removes the current node from the double linked list. If the node was chained into a double linked list, it will no longer be a part of it. If the node was the last node in the list, i.e. a sentinel, this method does nothing.

     Note: this method will not set the fields `elem`, `next` or `prev` of the current node, i.e. `this` node itself will still point "into" the list it was in.

     Definition Classes
       DoubleLinkedListLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) Double linked list now removes the current node from the list.

138. #### def repr: DoubleLinkedList[A]

     The collection of type double linked list underlying this `TraversableLike` object.

     The collection of type double linked list underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

139. #### def reverse: DoubleLinkedList[A]

     Returns new double linked list wih elements in reversed order.

     Returns new double linked list wih elements in reversed order.

     returns

       A new double linked list with all elements of this double linked list in reversed order.

     Definition Classes
       SeqLike → GenSeqLike

140. #### def reverseIterator: Iterator[A]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this double linked list in reversed order

     Definition Classes
       SeqLike

141. #### def reverseMap[B](f: (A) ⇒ B): DoubleLinkedList[B]

     [use case] Builds a new collection by applying a function to all elements of this double linked list and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this double linked list and collecting the results in reversed order.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new double linked list resulting from applying the given function `f` to each element of this double linked list and collecting the results in reversed order.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def reverseMap[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

142. #### def reversed: List[A]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

143. #### def runWith[U](action: (A) ⇒ U): (Int) ⇒ Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

144. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this double linked list.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this double linked list.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: A](that: GenIterable[B]): Boolean

145. #### def scan[B >: A, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new double linked list containing the prefix scan of the elements in this double linked list

     Definition Classes
       TraversableLike → GenTraversableLike

146. #### def scanLeft[B, That](z: B)(op: (B, A) ⇒ B)(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`. This is usually the `canBuildFrom` value defined in object `DoubleLinkedList`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

147. #### def scanRight[B, That](z: B)(op: (A, B) ⇒ B)(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`. This is usually the `canBuildFrom` value defined in object `DoubleLinkedList`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

148. #### def segmentLength(p: (A) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this double linked list starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       SeqLike → GenSeqLike

149. #### def seq: LinearSeq[A]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       LinearSeq → LinearSeq → LinearSeqLike → Seq → Seq → GenSeq → GenSeqLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

150. #### def size: Int

     The size of this double linked list, equivalent to `length`.

     The size of this double linked list, equivalent to `length`.

     returns

       the number of elements in this double linked list.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

151. #### def slice(from: Int, until: Int): DoubleLinkedList[A]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     returns

       a double linked list containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this double linked list.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

152. #### def sliding(size: Int, step: Int): Iterator[DoubleLinkedList[A]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing double linked lists of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

153. #### def sliding(size: Int): Iterator[DoubleLinkedList[A]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing double linked lists of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

154. #### def sortBy[B](f: (A) ⇒ B)(implicit ord: math.Ordering[B]): DoubleLinkedList[A]

     Sorts this `DoubleLinkedList` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this `DoubleLinkedList` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a double linked list consisting of the elements of this double linked list sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.     val words = "The quick brown fox jumped over the lazy dog".split(' ')
            // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
            words.sortBy(x => (x.length, x.head))
            res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

155. #### def sortWith(lt: (A, A) ⇒ Boolean): DoubleLinkedList[A]

     Sorts this double linked list according to a comparison function.

     Sorts this double linked list according to a comparison function.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a double linked list consisting of the elements of this double linked list sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.     List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
            List("Bob", "John", "Steve", "Tom")

156. #### def sorted[B >: A](implicit ord: math.Ordering[B]): DoubleLinkedList[A]

     Sorts this double linked list according to an Ordering.

     Sorts this double linked list according to an Ordering.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a double linked list consisting of the elements of this double linked list sorted according to the ordering `ord`.

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

157. #### def span(p: (A) ⇒ Boolean): (DoubleLinkedList[A], DoubleLinkedList[A])

     Splits this double linked list into a prefix/suffix pair according to a predicate.

     Splits this double linked list into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     returns

       a pair consisting of the longest prefix of this double linked list whose elements all satisfy `p`, and the rest of this double linked list.

     Definition Classes
       TraversableLike → GenTraversableLike

158. #### def splitAt(n: Int): (DoubleLinkedList[A], DoubleLinkedList[A])

     Splits this double linked list into two at a given position.

     Splits this double linked list into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of double linked lists consisting of the first `n` elements of this double linked list, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

159. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this double linked list contains the given sequence at a given index.

     Tests whether this double linked list contains the given sequence at a given index.

     Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this double linked list at index `offset`, otherwise `false`.

     Definition Classes
       SeqLike → GenSeqLike

160. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this double linked list starts with the given sequence.

     Tests whether this double linked list starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

161. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this double linked list. By default the string prefix is the simple name of the collection class double linked list.

     Definition Classes
       TraversableLike → GenTraversableLike

162. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this double linked list of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the double linked list and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: A](implicit num: Numeric[B]): B

163. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

164. #### def tail: DoubleLinkedList[A]

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a double linked list consisting of all elements of this double linked list except the first one.

     Definition Classes
       DoubleLinkedListLike → LinkedListLike → TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the double linked list is empty.

165. #### def tails: Iterator[DoubleLinkedList[A]]

     Iterates over the tails of this double linked list.

     Iterates over the tails of this double linked list. The first value will be this double linked list and the final one will be an empty double linked list, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this double linked list

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

166. #### def take(n: Int): DoubleLinkedList[A]

     Selects first n elements.

     Selects first n elements.

     n

       the number of elements to take from this double linked list.

     returns

       a double linked list consisting only of the first `n` elements of this double linked list, or else the whole double linked list, if it has less than `n` elements.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

167. #### def takeRight(n: Int): DoubleLinkedList[A]

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a double linked list consisting only of the last `n` elements of this double linked list, or else the whole double linked list, if it has less than `n` elements.

     Definition Classes
       IterableLike

168. #### def takeWhile(p: (A) ⇒ Boolean): DoubleLinkedList[A]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     returns

       the longest prefix of this double linked list whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

169. #### def thisCollection: collection.LinearSeq[A]

     The underlying collection seen as an instance of ``DoubleLinkedList``.

     The underlying collection seen as an instance of ``DoubleLinkedList``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       LinearSeqLike → SeqLike → IterableLike → TraversableLike

170. #### def to[Col[_]]: Col[A]

     [use case] Converts this double linked list into another by copying all elements.

     [use case]

     Converts this double linked list into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this double linked list.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, A, Col[A]]): Col[A]

171. #### def toArray: Array[A]

     [use case] Converts this double linked list to an array.

     [use case]

     Converts this double linked list to an array.

     returns

       an array containing all elements of this double linked list. An `ClassTag` must be available for the element type of this double linked list.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: A](implicit arg0: ClassTag[B]): Array[B]

172. #### def toBuffer[B >: A]: Buffer[B]

     Converts this double linked list to a mutable buffer.

     Converts this double linked list to a mutable buffer.

     returns

       a buffer containing all elements of this double linked list.

     Definition Classes
       TraversableOnce → GenTraversableOnce

173. #### def toCollection(repr: LinearSeq[A]): collection.LinearSeq[A]

     A conversion from collections of type `Repr` to ``DoubleLinkedList`` objects.

     A conversion from collections of type `Repr` to ``DoubleLinkedList`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       LinearSeqLike → SeqLike → IterableLike → TraversableLike

174. #### def toCollection(repr: DoubleLinkedList[A]): collection.Seq[A]

     A conversion from collections of type `Repr` to ``DoubleLinkedList`` objects.

     A conversion from collections of type `Repr` to ``DoubleLinkedList`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       SeqLike → IterableLike → TraversableLike

175. #### def toIndexedSeq: immutable.IndexedSeq[A]

     Converts this double linked list to an indexed sequence.

     Converts this double linked list to an indexed sequence.

     returns

       an indexed sequence containing all elements of this double linked list.

     Definition Classes
       TraversableOnce → GenTraversableOnce

176. #### def toIterable: collection.Iterable[A]

     Converts this double linked list to an iterable collection.

     Converts this double linked list to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this double linked list.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

177. #### def toIterator: Iterator[A]

     Returns an Iterator over the elements in this double linked list.

     Returns an Iterator over the elements in this double linked list. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this double linked list.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

178. #### def toList: List[A]

     Converts this double linked list to a list.

     Converts this double linked list to a list.

     returns

       a list containing all elements of this double linked list.

     Definition Classes
       TraversableOnce → GenTraversableOnce

179. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this double linked list to a map.

     [use case]

     Converts this double linked list to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this double linked list.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[A, (T, U)]): immutable.Map[T, U]

180. #### def toParArray: ParArray[A]

     Implicit information
       This member is added by an implicit conversion from DoubleLinkedList[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

181. #### def toSeq: collection.Seq[A]

     Converts this double linked list to a sequence.

     Converts this double linked list to a sequence.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this double linked list.

     Definition Classes
       SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

182. #### def toSet[B >: A]: immutable.Set[B]

     Converts this double linked list to a set.

     Converts this double linked list to a set.

     returns

       a set containing all elements of this double linked list.

     Definition Classes
       TraversableOnce → GenTraversableOnce

183. #### def toStream: immutable.Stream[A]

     Converts this double linked list to a stream.

     Converts this double linked list to a stream.

     returns

       a stream containing all elements of this double linked list.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

184. #### def toString(): String

     Converts this double linked list to a string.

     Converts this double linked list to a string.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this double linked list, followed by all elements separated by commas and enclosed in parentheses.

     Definition Classes
       SeqLike → TraversableLike → Any

185. #### def toTraversable: collection.Traversable[A]

     Converts this double linked list to an unspecified Traversable.

     Converts this double linked list to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this double linked list.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

186. #### def toVector: Vector[A]

     Converts this double linked list to a Vector.

     Converts this double linked list to a Vector.

     returns

       a vector containing all elements of this double linked list.

     Definition Classes
       TraversableOnce → GenTraversableOnce

187. #### def transform(f: (A) ⇒ A): DoubleLinkedList.this.type

     Applies a transformation function to all values contained in this sequence.

     Applies a transformation function to all values contained in this sequence. The transformation function produces new values from existing elements.

     f

       the transformation to apply

     returns

       the sequence itself.

     Definition Classes
       SeqLike

188. #### def transpose[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): DoubleLinkedList[DoubleLinkedList[B]]

     Transposes this double linked list of traversable collections into a double linked list of double linked lists.

     Transposes this double linked list of traversable collections into a double linked list of double linked lists.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this double linked list is a `Traversable`.

     returns

       a two-dimensional double linked list of double linked lists which has as nth row the nth column of this double linked list.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this double linked list are not of the same size.

189. #### def union(that: collection.Seq[A]): DoubleLinkedList[A]

     [use case] Produces a new sequence which contains all elements of this double linked list and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this double linked list and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     that

       the sequence to add.

     returns

       a new double linked list which contains all elements of this double linked list followed by all elements of `that`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def union[B >: A, That](that: GenSeq[B])(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

190. #### def unzip[A1, A2](implicit asPair: (A) ⇒ (A1, A2)): (DoubleLinkedList[A1], DoubleLinkedList[A2])

     Converts this double linked list of pairs into two collections of the first and second half of each pair.

     Converts this double linked list of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this double linked list is a pair.

     returns

       a pair double linked lists, containing the first, respectively second half of each element pair of this double linked list.

     Definition Classes
       GenericTraversableTemplate

191. #### def unzip3[A1, A2, A3](implicit asTriple: (A) ⇒ (A1, A2, A3)): (DoubleLinkedList[A1], DoubleLinkedList[A2], DoubleLinkedList[A3])

     Converts this double linked list of triples into three collections of the first, second, and third element of each triple.

     Converts this double linked list of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this double linked list is a triple.

     returns

       a triple double linked lists, containing the first, second, respectively third member of each element triple of this double linked list.

     Definition Classes
       GenericTraversableTemplate

192. #### def update(n: Int, x: A): Unit

     Replaces element at given index with a new value.

     Replaces element at given index with a new value.

     Definition Classes
       DoubleLinkedListLike → LinkedListLike → SeqLike
     Exceptions thrown
       IndexOutOfBoundsException

       if the index is not valid.

193. #### def updated(index: Int, elem: A): DoubleLinkedList[A]

     [use case] A copy of this double linked list with one single replaced element.

     [use case]

     A copy of this double linked list with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a copy of this double linked list with the element at position `index` replaced by `elem`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def updated[B >: A, That](index: Int, elem: B)(implicit bf: CanBuildFrom[DoubleLinkedList[A], B, That]): That

194. #### def view(from: Int, until: Int): SeqView[A, DoubleLinkedList[A]]

     Creates a non-strict view of a slice of this double linked list.

     Creates a non-strict view of a slice of this double linked list.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current double linked list, whereas `slice` produces a new double linked list.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this double linked list, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

195. #### def view: SeqView[A, DoubleLinkedList[A]]

     Creates a non-strict view of this double linked list.

     Creates a non-strict view of this double linked list.

     returns

       a non-strict view of this double linked list.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

196. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

197. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

198. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

199. #### def withFilter(p: (A) ⇒ Boolean): FilterMonadic[A, DoubleLinkedList[A]]

     Creates a non-strict filter of this double linked list.

     Creates a non-strict filter of this double linked list.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this double linked list which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

200. #### def zip[B](that: GenIterable[B]): DoubleLinkedList[(A, B)]

     [use case] Returns a double linked list formed from this double linked list and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a double linked list formed from this double linked list and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new double linked list containing pairs consisting of corresponding elements of this double linked list and `that`. The length of the returned collection is the minimum of the lengths of this double linked list and `that`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: A, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[DoubleLinkedList[A], (A1, B), That]): That

201. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): DoubleLinkedList[(A, B)]

     [use case] Returns a double linked list formed from this double linked list and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a double linked list formed from this double linked list and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this double linked list is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this double linked list.

     returns

       a new double linked list containing pairs consisting of corresponding elements of this double linked list and `that`. The length of the returned collection is the maximum of the lengths of this double linked list and `that`. If this double linked list is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this double linked list, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: A, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[DoubleLinkedList[A], (A1, B), That]): That

202. #### def zipWithIndex: DoubleLinkedList[(A, Int)]

     [use case] Zips this double linked list with its indices.

     [use case]

     Zips this double linked list with its indices.

     returns

       A new double linked list containing pairs consisting of all elements of this double linked list paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: A, That](implicit bf: CanBuildFrom[DoubleLinkedList[A], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

203. #### def →[B](y: B): (DoubleLinkedList[A], B)

     Implicit information
       This member is added by an implicit conversion from DoubleLinkedList[A] to ArrowAssoc[DoubleLinkedList[A]] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implict Value Members

1. #### def filter(p: (A) ⇒ Boolean): TraversableOnce[A]

   Implicit information
     This member is added by an implicit conversion from DoubleLinkedList[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (doubleLinkedList: MonadOps[A]).filter(p)

   Definition Classes
     MonadOps

2. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from DoubleLinkedList[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (doubleLinkedList: MonadOps[A]).flatMap(f)

   Definition Classes
     MonadOps

3. #### def map[B](f: (A) ⇒ B): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from DoubleLinkedList[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (doubleLinkedList: MonadOps[A]).map(f)

   Definition Classes
     MonadOps

4. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from DoubleLinkedList[A] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (doubleLinkedList: StringAdd).self

   Definition Classes
     StringAdd

5. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from DoubleLinkedList[A] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (doubleLinkedList: StringFormat).self

   Definition Classes
     StringFormat

6. #### def withFilter(p: (A) ⇒ Boolean): Iterator[A]

   Implicit information
     This member is added by an implicit conversion from DoubleLinkedList[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (doubleLinkedList: MonadOps[A]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: DoubleLinkedList[A]

   Implicit information
     This member is added by an implicit conversion from DoubleLinkedList[A] to ArrowAssoc[DoubleLinkedList[A]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (doubleLinkedList: ArrowAssoc[DoubleLinkedList[A]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: DoubleLinkedList[A]

   Implicit information
     This member is added by an implicit conversion from DoubleLinkedList[A] to Ensuring[DoubleLinkedList[A]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (doubleLinkedList: Ensuring[DoubleLinkedList[A]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from DoubleLinkedListLike[A, DoubleLinkedList[A]]

### Inherited from LinkedListLike[A, DoubleLinkedList[A]]

### Inherited from LinearSeq[A]

### Inherited from collection.LinearSeq[A]

### Inherited from LinearSeqLike[A, LinearSeq[A]]

### Inherited from AbstractSeq[A]

### Inherited from Seq[A]

### Inherited from SeqLike[A, DoubleLinkedList[A]]

### Inherited from Cloneable[DoubleLinkedList[A]]

### Inherited from scala.Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Iterable[A]

### Inherited from Traversable[A]

### Inherited from Mutable

### Inherited from collection.AbstractSeq[A]

### Inherited from collection.Seq[A]

### Inherited from collection.SeqLike[A, DoubleLinkedList[A]]

### Inherited from GenSeq[A]

### Inherited from GenSeqLike[A, DoubleLinkedList[A]]

### Inherited from PartialFunction[Int, A]

### Inherited from (Int) ⇒ A

### Inherited from collection.AbstractIterable[A]

### Inherited from collection.Iterable[A]

### Inherited from IterableLike[A, DoubleLinkedList[A]]

### Inherited from Equals

### Inherited from GenIterable[A]

### Inherited from GenIterableLike[A, DoubleLinkedList[A]]

### Inherited from AbstractTraversable[A]

### Inherited from collection.Traversable[A]

### Inherited from GenTraversable[A]

### Inherited from GenericTraversableTemplate[A, DoubleLinkedList]

### Inherited from TraversableLike[A, DoubleLinkedList[A]]

### Inherited from GenTraversableLike[A, DoubleLinkedList[A]]

### Inherited from Parallelizable[A, ParSeq[A]]

### Inherited from TraversableOnce[A]

### Inherited from GenTraversableOnce[A]

### Inherited from FilterMonadic[A, DoubleLinkedList[A]]

### Inherited from HasNewBuilder[A, scala.collection.mutable.DoubleLinkedList[A] @scala.annotation.unchecked.uncheckedVariance]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from DoubleLinkedList[A] to TraversableOps[A]

### Inherited by implicit conversion MonadOps from DoubleLinkedList[A] to MonadOps[A]

### Inherited by implicit conversion any2stringadd from DoubleLinkedList[A] to StringAdd

### Inherited by implicit conversion any2stringfmt from DoubleLinkedList[A] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from DoubleLinkedList[A] to ArrowAssoc[DoubleLinkedList[A]]

### Inherited by implicit conversion any2Ensuring from DoubleLinkedList[A] to Ensuring[DoubleLinkedList[A]]

### Inherited by implicit conversion alternateImplicit from DoubleLinkedList[A] to ForceImplicitAmbiguity

### Ungrouped